ATANH(3) | NetBSD Library Functions Manual | ATANH(3)

# NAME

atanh, atanhf — inverse hyperbolic tangent function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
atanh(double x);

float
atanhf(float x);

# DESCRIPTION

The atanh() and atanhf() functions compute the inverse hyperbolic tangent of the real argument x.

# RETURN VALUES

If |x|≥1, atanh(x) and atanhf(x) return +inf, -inf or NaN, and sets the global variable errno to EDOM.

# SEE ALSO

acosh(3), asinh(3), exp(3), math(3)

# HISTORY

The atanh() function appeared in 4.3BSD.

May 6, 1991 | NetBSD 5.99